#!/usr/bin/python                                                                                                                                                                                                               
                                                                                                                                                                                                                                
#from PyTango import *                                                                                                                                                                                                           
import sys                                                                                                                                                                                                                      
import time                                                                                                                                                                                                                     
import re
                                                                                                                                                                                                                                
if len(sys.argv) > 2:
	processedLines = 0;
	okLines = 0;
	warnLines = 0;
	errorLines = 0;
	f = file(sys.argv[1], 'r')
	fout = open(sys.argv[2], 'w')
	lines = f.readlines()
	for line in lines:
		# search the pattern exename="..." inside the line
		expr = re.search("exename=\"([a-zA-Z0-9/\s\.\-_]+)\"", line)
		if  expr != None: 
			# The line contains exename="...": get what is inside ""
			line = expr.group(1)

			print 'processing line ' , line
			processedLines = processedLines + 1;
			parts = line.split(' ')

			if len(parts)> 1:
				device = parts[1]
				helperApp = parts[0]
				helperApp = helperApp.replace('/runtime/fermi/panels/bin/', '')
		
			# Consider an element valid if it contains the executable and one device.
			# In all other cases, trigger a warning message and write a comment on the
			# generated file.

			if len(parts) == 2:
				validDev = re.search("[a-zA-Z0-9\._\-]+/[a-zA-Z0-9\._\-]+/[a-zA-Z0-9\._\-]+", device)
				if validDev != None and device.count('/') == 2:
					# remove the execution path we usually find in xml browser file
					print '\033[0;32m*\033[0m ', device, '\033[0m <--> \033[1;33m', helperApp, ' \033[0m'
					# new line to write on the out file
					fline = device + ' <--> ' + helperApp + ' ' + device + '\n'
					fout.write(fline)
					okLines = okLines + 1;
				else:
					warnLines = warnLines + 1;
					fout.write('# The following line contains an invalid device. Please check and correct it\n')
					fout.write('# ' + device + ' <--> ' + helperApp + ' ' + device + '\n')
					print '\033[1;33m*\033[0m device ', device, ' in line ', line, ' is not a valid tango device name'
			elif len(parts) > 2:
				devList = re.findall("[a-zA-Z0-9\._\-]+/[a-zA-Z0-9\._\-]+/[a-zA-Z0-9\._\-]+", line)
				argsList = parts;
				# remove executable name from argsList
				argsList.pop(0) 
				print '\033[1;33m*\033[0m line ', line, ' with too many arguments: unsure how to interpret it'
				fout.write('# The following command line has more than 2 arguments. Check it please.\n')
				fout.write('# ' + line + '\n')
				for i in range(0, len(devList)):
					fout.write(' # Just guessing helper application...\n')
					fout.write(' # ' + devList[i] + ' <--> ' + helperApp + ' ' + ' '.join(argsList) + '\n')
				warnLines = warnLines + 1;
			else:
				print '\033[0;36mi\033[0m: command line ', line, ' does not contain arguments.'
	fout.close();
	f.close();
	print '\033[1;32m* \033[0mparsing of \"', sys.argv[1], '\" finished. Output written to \"', sys.argv[2], '\": ', okLines, ' valid lines written ', warnLines, ' warnings ', errorLines, ' errors.\n\n' 
else:
	print 'Usage: ', sys.argv[0], ' in_xml_file out_txt_file '
	sys.exit(1)

sys.exit(0)

	

