include (/usr/local/qtango/include/qtango6/qtango.pri)
include (/usr/local/cumbia-libs/include/cumbia-qtcontrols/cumbia-qtcontrols.pri)

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

# for development with qt creator
QT += dbus xml

# DEFINES -= QT_NO_DEBUG_OUTPUT

PLUGINDIR = /usr/local/cumbia-libs/lib/qumbia-plugins/

DEFINES += QUMBIA_PLUGIN_DIR=\"\\\"$${PLUGINDIR}\"\\\"  

RESOURCES += qtbrowser.qrc

HEADERS = mainwindow.h \
    browser.h \
    ProgressBarWidget.h \
    browserutils.h \
    finder.h \
    browsertreedbusextension.h \
    treestatemanager.h \
    configurationfilewatcher.h \
    BrowserAdaptor.h \
    appinfo.h \
    backupappfinder.h

    SOURCES = main.cpp \
    browserutils.cpp \
    mainwindow.cpp \
    browser.cpp \
    ProgressBarWidget.cpp \
    finder.cpp \
    browsertreedbusextension.cpp \
    treestatemanager.cpp \
    configurationfilewatcher.cpp \
    BrowserAdaptor.cpp \
    backupappfinder.cpp

FORMS += finder.ui

TARGET = bin/browser

TEMPLATE = app

CONFIG += qt \
    thread \
    debug

INCLUDEPATH += . \
    /usr/X11R6/include/X11 \
    /usr/contrib/X11R6/include/X11 \
    /usr/local/cumbia-libs/include/qumbia-plugins/

LIBS += -lXmu

pics.files = icons/elettra.png icons/padres_splash.png icons/fermi.jpg icons/laser_splash.png icons/booster_systray.png  \
	icons/padres_systray.png icons/laser_systray.png
pics.path = $${INSTALL_ROOT}/share/icons

css.files = xmltest/browser.css
css.path = $${INSTALL_ROOT}/etc
inst.files = $${TARGET}
inst.path = $${INSTALL_ROOT}/bin

INSTALLS += inst \
    css \
    pics

  
